JobsCreate Job

Create Job

Create a Job posting at a Company using the Company's ID.

curl -X POST "https://api.getkini.com/jobs" \
  -H "Content-Type: application/json" \
  -H "Company-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "external_id": "null",
  "title": "example_string",
  "description": "null",
  "posting_url": "null",
  "application_url": "null",
  "application_email": "null",
  "status": "null",
  "remote": "null",
  "language": "null",
  "category": "null",
  "work_schedule": "null",
  "employment_type": "null",
  "senority": "null",
  "education": "null",
  "start_date": "null",
  "contract_limitation": "null",
  "location_name": "null",
  "street": "null",
  "city": "null",
  "country": "null",
  "postcode": "null",
  "longitude": "null",
  "latitude": "null",
  "salary": "null",
  "salary_from": "null",
  "salary_to": "null",
  "salary_currency": "null",
  "salary_frequency": "null",
  "contact_name": "null",
  "contact_email": "null",
  "contact_title": "null",
  "contact_phone": "null",
  "banner_image": "example_string",
  "screening_questions": [
    {
      "id": "example_string",
      "question": "example_string",
      "answer_type": "boolean",
      "required": true,
      "options": [
        {
          "label": "example_string",
          "value": "example_string"
        }
      ]
    }
  ],
  "description_sections": [
    {
      "id": "example_string",
      "type": "introduction",
      "order": 42,
      "title": "example_string",
      "content": "example_string"
    }
  ],
  "custom_fields": {
    "department": "Engineering",
    "location_type": "Hybrid",
    "salary_range": "60000-80000"
  }
}'
{
  "id": 123,
  "external_id": "null",
  "company": "null",
  "title": "example_string",
  "description": "null",
  "posting_url": "null",
  "application_url": "null",
  "status": "null",
  "remote": "null",
  "language": "null",
  "category": "null",
  "employment_type": "null",
  "work_schedule": "null",
  "senority": "null",
  "start_date": "null",
  "contract_limitation": "null",
  "location_name": "null",
  "street": "null",
  "city": "null",
  "country": "null",
  "postcode": "null",
  "longitude": "null",
  "latitude": "null",
  "salary": "null",
  "salary_from": "null",
  "salary_to": "null",
  "salary_currency": "null",
  "salary_frequency": "null",
  "contact_name": "null",
  "contact_email": "null",
  "contact_title": "null",
  "contact_phone": "null",
  "banner_image": "example_string",
  "screening_questions": [
    {
      "id": "example_string",
      "question": "example_string",
      "answer_type": "boolean",
      "required": true,
      "options": [
        {
          "label": "example_string",
          "value": "example_string"
        }
      ]
    }
  ],
  "description_sections": [
    {
      "id": "example_string",
      "type": "introduction",
      "order": 42,
      "title": "example_string",
      "content": "example_string"
    }
  ],
  "custom_fields": {
    "employer_name": "Acme Inc.",
    "employer_logo": "https://example.com/logo.png"
  },
  "created_at": "2024-12-25T10:00:00Z",
  "updated_at": "2024-12-25T10:00:00Z",
  "last_content_update_at": "2024-12-25T10:00:00Z"
}
POST
/jobs
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer API Key Authentication. Include your API key in the Authorization header.

Bearer API Key Authentication. Include your API key in the Authorization header.
Content-Typestring
Required

The media type of the request body

Options: application/json, application/x-www-form-urlencoded, multipart/form-data
external_idstring

Job's ID in external ATS systems, used for integrations

titlestring
Required

Title of the job

Max length: 255
descriptionstring

Detailed description of the job's responsibilities and requirements

posting_urlstring

URL of the job posted on the company's career page

Format: uri
application_urlstring

URL through which applicants can apply on the company's career page

Format: uri
application_emailstring

Email address through which applicants can apply

Format: email
statusstring

Posting status of the job (active, deleted, archived)

Options: active, deleted, archived
remotestring

Work mode of the job (remote, hybrid, on-site)

Options: remote, hybrid, on-site
languagestring

Language of the job posting as an ISO 639-1 code (e.g. 'en', 'de')

Min length: 2 • Max length: 2
categorystring

Category of the job, e.g. 'sales'

Options: accounting_finance, administration, architecture_construction, arts_media_entertainment, business_development, cleaning_facilities, consulting, customer_service_support, data_analytics, design, education_training, engineering, entertainment_travel, event_management, finance, healthcare, hospitality_tourism, hr_recruitment, installation_maintenance_repair, it_support, legal, logistics_supply_chain, management_executive, marketing, non_profit, operations, other, personal_care_services, pharmaceutical_life_sciences, product_management, project_management, public_relations, real_estate, retail, sales, science_technology, software_development, social_services, sports_fitness_recreation, translation_localization, warehouse
work_schedulestring

Work schedule type for the position (full-time, part-time, flexible)

Options: full_time, part_time, flexible
employment_typestring

Employment type of the job (permanent, contract, minijob, etc.)

Options: contract, freelance, intern, temporary, permanent, volunteer, apprenticeship, working_student, minijob, other
senoritystring

Required or expected seniority level

Options: unexperienced, junior, mid_level, senior, lead, manager, director, executive
educationstring

Required or preferred education level

start_datestring

Required or expected start date

contract_limitationstring

Contractual limitations or terms associated with the job

location_namestring

Full-text location of where the job is based

streetstring

Street of the job's location

citystring

City of the job's location

countrystring

Country of the job's location

postcodestring

Postal code of the job's location

longitudestring

Longitude coordinate of the job's location

Format: decimal • Pattern: ^-?\d{0,3}(?:\.\d{0,6})?$
latitudestring

Latitude coordinate of the job's location

Format: decimal • Pattern: ^-?\d{0,3}(?:\.\d{0,6})?$
salarystring

General description of the salary package

salary_frominteger

Starting salary range

salary_tointeger

Maximum salary range

salary_currencystring

Currency of the stated salary

salary_frequencystring

Payout frequency of the stated salary (annual, monthly, etc.)

contact_namestring

Name of the contact person responsible for the job posting

contact_emailstring

E-Mail Address of the contact person responsible for the job posting

Format: email
contact_titlestring

Work title of the contact person responsible for the job posting

contact_phonestring

Phone Number of the contact person responsible for the job posting

banner_imagestring

Banner Image URL

custom_fieldsobject

Custom fields for the job posting as key-value pairs

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.

Headers

Company-Idstring
Required

ID of the Company

Body

external_idstring

Job's ID in external ATS systems, used for integrations

titlestring
Required

Title of the job

descriptionstring

Detailed description of the job's responsibilities and requirements

posting_urlstring

URL of the job posted on the company's career page

application_urlstring

URL through which applicants can apply on the company's career page

application_emailstring

Email address through which applicants can apply

statusstring

Posting status of the job (active, deleted, archived)

Allowed values:activedeletedarchived
remotestring

Work mode of the job (remote, hybrid, on-site)

Allowed values:remotehybridon-site
languagestring

Language of the job posting as an ISO 639-1 code (e.g. 'en', 'de')

categorystring

Category of the job, e.g. 'sales'

Allowed values:accounting_financeadministrationarchitecture_constructionarts_media_entertainmentbusiness_developmentcleaning_facilitiesconsultingcustomer_service_supportdata_analyticsdesigneducation_trainingengineeringentertainment_travelevent_managementfinancehealthcarehospitality_tourismhr_recruitmentinstallation_maintenance_repairit_supportlegallogistics_supply_chainmanagement_executivemarketingnon_profitoperationsotherpersonal_care_servicespharmaceutical_life_sciencesproduct_managementproject_managementpublic_relationsreal_estateretailsalesscience_technologysoftware_developmentsocial_servicessports_fitness_recreationtranslation_localizationwarehouse
work_schedulestring

Work schedule type for the position (full-time, part-time, flexible)

Allowed values:full_timepart_timeflexible
employment_typestring

Employment type of the job (permanent, contract, minijob, etc.)

Allowed values:contractfreelanceinterntemporarypermanentvolunteerapprenticeshipworking_studentminijobother
senoritystring

Required or expected seniority level

Allowed values:unexperiencedjuniormid_levelseniorleadmanagerdirectorexecutive
educationstring

Required or preferred education level

start_datestring

Required or expected start date

contract_limitationstring

Contractual limitations or terms associated with the job

location_namestring

Full-text location of where the job is based

streetstring

Street of the job's location

citystring

City of the job's location

countrystring

Country of the job's location

postcodestring

Postal code of the job's location

longitudestring

Longitude coordinate of the job's location

latitudestring

Latitude coordinate of the job's location

salarystring

General description of the salary package

salary_frominteger

Starting salary range

salary_tointeger

Maximum salary range

salary_currencystring

Currency of the stated salary

salary_frequencystring

Payout frequency of the stated salary (annual, monthly, etc.)

contact_namestring

Name of the contact person responsible for the job posting

contact_emailstring

E-Mail Address of the contact person responsible for the job posting

contact_titlestring

Work title of the contact person responsible for the job posting

contact_phonestring

Phone Number of the contact person responsible for the job posting

banner_imagestring

Banner Image URL

custom_fieldsobject

Custom fields for the job posting as key-value pairs

Example:
{"department":"Engineering","location_type":"Hybrid","salary_range":"60000-80000"}

Responses